EXTSMAIL(1)

NAME
extsmaild - robust sending of e-mail to external commands

SYNOPSIS
extsmaild [-m mode] [-t] [-v]

DESCRIPTION
extsmaild sends messages spooled by extsmail(1). If called without -m specified, or if -m batch is specified, extsmaild operates in batch mode, running as a foreground process and terminating after trying to send all messages; it returns 0 if all messages were sent successfully, or 1 if any messages remain unsent.

If called with the -m daemon switch, extsmaild operates as a long running daemon; it monitors the spool directory and when it notices changes to the directory (or a fixed period has elapsed) it tries to send any unsent messages. This means that even on unreliable networks, extsmaild can easily be left alone and relied upon to ultimately send all messages - without manual intervention.

The -t flag can be specified to test the configuration files for extsmaild without running the mail sending process.

The -v flag prints version info to stdout, then exits.

SEE ALSO
extsmail.conf(5), extsmail.externals(5), extsmail(1)

AUTHORS
-nosplit extsmaild was written by Laurence Tratt <http://tratt.net/laurie/>